Commit e4184288 authored by Newbyte's avatar Newbyte 🌜
Browse files

community/py3-praw: upgrade to 7.4.0

Necessary for Giara to be able to reauthenticate with the same
credentials after the initial login. Crashes without this.
parent 300614a3
Pipeline #96493 passed with stages
in 13 minutes and 37 seconds
......@@ -2,8 +2,8 @@
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=py3-praw
_pkgname=praw
pkgver=7.1.2
pkgrel=2
pkgver=7.4.0
pkgrel=0
pkgdesc="Python module to access to reddit's API"
options="!check" # missing 'Betamax' modules
url="https://github.com/praw-dev/praw"
......@@ -12,9 +12,7 @@ license="GPL-3.0-or-later"
depends="py3-prawcore py3-update-checker py3-requests py3-six py3-websocket-client"
makedepends="py3-setuptools"
checkdepends="py3-pytest"
source="$_pkgname-$pkgver.tar.gz::https://github.com/praw-dev/praw/archive/v$pkgver.tar.gz
update-requirements.patch
"
source="$_pkgname-$pkgver.tar.gz::https://github.com/praw-dev/praw/archive/v$pkgver.tar.gz"
builddir="$srcdir"/$_pkgname-$pkgver
replaces="py-praw" # Backwards compatibility
......@@ -33,6 +31,5 @@ package() {
}
sha512sums="
8d2a343b17cc86070ad02eae5846084aeb3ae34dda69204f1e5ec9b2dad7c751e89c07d53fb4bfc06b66c145dd06e7885200f7224311b5939d3cc37b3e192136 praw-7.1.2.tar.gz
7be3b18187ec0a07e89142a1531272bb5e6dc9df389e703e6bbe709ac046dd8504a9a9a8f1cf7672680189614d8eab25b81f5a8e3a1564f990ef63feeb467c0b update-requirements.patch
eae646b4fd8072e69edc026f325b7de56e901fe96a2338ddc79e57ef4825f260c8e81ddbb1e3da59f13f7894a6acf8df04d5769cf1571dc133d9751d9bb923cf praw-7.4.0.tar.gz
"
diff --git a/setup.py b/setup.py
index 83504ea..bab87d8 100644
--- a/setup.py
+++ b/setup.py
@@ -60,7 +60,7 @@ setup(
),
extras_require=extras,
install_requires=[
- "prawcore >=1.5.0, <2.0",
+ "prawcore >=1.5.0, <2.1",
"update_checker >=0.18",
"websocket-client >=0.54.0",
],
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment